# H460P_PresenceInstruction Class Reference

`#include <h460pres.h>`

Inheritance diagram for H460P_PresenceInstruction:

[legend]

## Public Types

| e_subscribe
| e_unsubscribe
| e_block
| e_unblock
enum | Choices { e_subscribe, e_unsubscribe, e_block, e_unblock }

## Public Member Functions

| H460P_PresenceInstruction (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_AliasAddress & ()
| operator const H225_AliasAddress & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H460P_PresenceInstruction::Choices

Enumerator:

  e_subscribe |
  e_unsubscribe |
  e_block |
  e_unblock |

## Constructor & Destructor Documentation

H460P_PresenceInstruction::H460P_PresenceInstruction | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H460P_PresenceInstruction::Clone | ( |  | ) | const

PBoolean H460P_PresenceInstruction::CreateObject | ( |  | ) |

H460P_PresenceInstruction::operator const H225_AliasAddress & | ( |  | ) | const

H460P_PresenceInstruction::operator H225_AliasAddress & | ( |  | ) |

The documentation for this class was generated from the following file:

- h460pres.h